Skip to main content
`Ctrl`+`K`

# DMSwarmInitializeCoordinates

Determine the initial coordinates of particles for a PIC method

## Synopsis

    #include "petscdmswarm.h"
    PetscErrorCode DMSwarmInitializeCoordinates(DM sw)

Not Collective

## Input Parameter

- sw - The `DMSWARM`

## Note

Currently, we randomly place particles in their assigned cell

## See Also

`DMSWARM`, `DMSwarmComputeLocalSize()`, `DMSwarmInitializeVelocities()`

## Level

advanced

## Location

src/dm/impls/swarm/swarmpic.c

Index of all DMSwarm routines
Table of Contents for all manual pages
Index of all manual pages